{
  lib,
  config,
  pkgs,
  ...
}:
let
  inherit (lib) mkEnableOption mkIf;

  cfg = config.marleyos.programs.just;
in
{
  options.marleyos.programs.just.enable = mkEnableOption "just";

  config = mkIf cfg.enable {
    home.packages = with pkgs; [
      just
    ];

    home.shellAbbrs.j = "just";
  };
}
